package com.iamberry.wechat.face.porduct;

import java.util.List;

import com.iamberry.wechat.core.entity.product.ProductColor;

/**
 * 产品颜色	service
 * 2017年2月5日
 * @author muzx
 */
public interface ProductColorService {
	/**
	 * 添加一个产品颜色
	 * 2017年2月5日
	 * @author muzx
	 * @return
	 */
	public Integer insertProductColor(ProductColor produColor);
	
	/**
	 * 查询产品对应颜色
	 * @param colorProductId
	 * @return
	 */
	public List<ProductColor> getLeaseProductColor(Integer colorProductId);
	
	/**
	 * 分页获取产品颜色列表
	 * 2017年2月5日
	 * @author muzx
	 * @param productColor
	 * @return
	 */
	public List<ProductColor> selectProductColorList(ProductColor productColor);
	
	/**
	 * 获取产品颜色总数
	 * 2017年2月5日
	 * @author muzx
	 * @param productColor
	 * @return
	 */
	public int selectProductColorCount(ProductColor productColor);
	
	/**
	 * 根据颜色id 查询一个产品颜色信息
	 * 2017年2月5日
	 * @author muzx
	 * @param colorId
	 * @return
	 */
	public ProductColor selectProductColorById(Integer colorId);
	
	/**
	 * 根据颜色id 修改一个产品颜色信息
	 * 2017年2月5日
	 * @param productColor
	 * @return
	 */
	public Integer updateProductColorById(ProductColor productColor);
}
